Bug 468236 - Remove Attempted yum / yum-rhn-plugin / pirut Upgrade In Kickstart Post Scripts
Remove Attempted yum / yum-rhn-plugin / pirut Upgrade In Kickstart Post Scripts
Status: CLOSED WONTFIX
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: swcobbler06 space16
  Show dependency treegraph
 
Reported: 2008-10-23 13:31 EDT by Devan Goodwin
Modified: 2011-08-05 07:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 07:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2008-10-23 13:31:23 EDT
Description of problem:

Spacewalk renders kickstart files with a %post script which attempts to upgrade some core components. If the kickstart is found to be RHEL 5 (also CentOS 5) the script attempts an upgrade of yum-rhn-plugin, yum, and pirut by fetching the latest version of the package available with wget and attempting an rpm -F. (freshen)

In the case of RHEL 5.0 kickstarts, this attempts to grab the latest RHEL 5.2 versions of these packages which are now coming with different dependencies. Not only will we need to continue adding new dependencies as RHEL progresses, but now yum required new packages completely as dependencies which will not be installed when attempting an rpm freshen. We could change this to an upgrade/install, but we're already counting on *not* installing packages that weren't installed before. (i.e. pirut)

In short, this is an unsustainable approach, we cannot do yum's job, without yum, in a kickstart post script.

NOTE: This issue has limited relevance to Spacewalk, just creating this ticket to track the removal of these lines which attempt to upgrade yum.


How reproducible:

Very

Steps to Reproduce:
1. Create a RHEL 5 or CentOS 5 kickstart profile.
2. View kickstart file contents in the UI.
  
Actual results:

Note the wget of yum-rhn-plugin, yum, pirut, etc.

Expected results:

We should not attempt to manually upgrade packages in kickstart post.
Comment 1 Jan Pazdziora 2010-11-19 11:03:31 EST
Mass-moving to space13.
Comment 2 Miroslav Suchý 2011-04-11 03:32:14 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 3 Miroslav Suchý 2011-04-11 03:36:42 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Jan Pazdziora 2011-07-20 07:50:02 EDT
Aligning under space16.
Comment 5 Jan Pazdziora 2011-08-05 07:57:33 EDT
We haven't seen progress with this requestion, nor a proposed patch. I gather the current behaviour does not cause big troubles after all.

Closing, please reopen if there is a patch available addressing this issue.

Note You need to log in before you can comment on or make changes to this bug.